#
# spec file for package e2fsprogs (Version 1.26)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  tetex
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libtool libz pam perl rpm te_ams te_latex tetex

Name:         e2fsprogs
License:      GPL
Group:        System/Filesystems
Provides:     e2fsbn ext2fs
Obsoletes:    ext2fs
Autoreqprov:  on
Version:      1.26
Release:      46
Summary:      Utilities for the second and third extended file system
URL:          http://e2fsprogs.sourceforge.net
Source:       %{name}-%{version}.tar.bz2
Patch:        owner_change.diff
Patch1:       elf.diff
Patch2:       BSD_disklabels.diff
Patch3:       fsck-errormsg-basedev.diff
# Patch4:       ac-require.diff
Patch5:       ld_library_path.diff
Patch6:       mke2fs_stderr.diff
Patch7:       lc_ctype.diff
Patch8:       e2fsprogs-1.26-cleanup.diff
Patch9:       e2fsprogs-1.26.fsckdevdisplay.diff
Patch10:      e2fsck_journal.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Utilities needed to create and maintain ext2 and ext3 filesystems
under Linux. Included in this package are: chattr, lsattr, mke2fs,
mklost+found, tune2fs, e2fsck, resize2fs and badblocks.

Authors:
--------
    Remy Card <card@masi.ibp.fr>
    Theodore Ts'o <tytso@mit.edu>

SuSE series: a

%package devel
Summary:      Ext2 filesystem-specific libraries and headers
Group:        Development/Libraries/C and C++
Autoreqprov:  on
Obsoletes:    ext2fs_d
Provides:     ext2fs_d
Requires:     e2fsprogs
Conflicts:    heimdal-devel

%description devel
This package contains the libraries and header files needed to
develop second extended (ext2) filesystem-specific programs.

Authors:
--------
    Remy Card <card@masi.ibp.fr>
    Theodore Ts'o <tytso@mit.edu>

SuSE series: d

%prep
%setup
%patch -p1
%patch1 -p1
%patch2
# %patch3 -p1
# %patch4
%patch5
%patch6
%patch7 -p1
%patch8 -p1
%patch9
%patch10

%build
%{?suse_update_config:%{suse_update_config -f}}
# Patch4 changes configure.in, so rebuild configure
autoconf
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -W -Wall -Wstrict-prototypes -Wpointer-arith -Wwrite-strings -Wcast-align" \
  ./configure --enable-dynamic-e2fsck				\
	--prefix=%_prefix --with-root-prefix='' 		\
	--mandir=%_mandir --infodir=%_infodir --libdir=%_libdir \
	--enable-elf-shlibs
make
make check
make gcc-wall

%install
#rm -rf $RPM_BUILD_ROOT
#find /var /usr /sbin | sort > filelist1
make install install-libs DESTDIR=$RPM_BUILD_ROOT
#find /var /usr /sbin | sort > filelist2
echo ".so man8/mke2fs.8" > $RPM_BUILD_ROOT/%{_mandir}/man8/mkfs.ext2.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc RELEASE-NOTES
/sbin/badblocks
/sbin/debugfs
/sbin/dumpe2fs
/sbin/e2fsck
#/sbin/flushb
/sbin/e2label
/sbin/fsck
/sbin/fsck.ext2
/sbin/fsck.ext3
/sbin/mke2fs
/sbin/mkfs.ext2
/sbin/resize2fs
/sbin/tune2fs
/sbin/e2image
/usr/bin/chattr
/usr/bin/lsattr
/usr/bin/uuidgen
/%{_lib}/libcom_err.so.*
/%{_lib}/libe2p.so.*
/%{_lib}/libext2fs.so.*
/%{_lib}/libss.so.*
/%{_lib}/libuuid.so.*
%doc %{_infodir}/libext2fs.info.gz
%doc %{_mandir}/man1/chattr.1.gz
%doc %{_mandir}/man1/lsattr.1.gz
%doc %{_mandir}/man1/uuidgen.1.gz
%doc %{_mandir}/man8/*.8.gz
/usr/sbin/mklost+found

%files devel
/usr/bin/compile_et
/usr/bin/mk_cmds
%{_libdir}/libcom_err.a
%{_libdir}/libe2p.a
%{_libdir}/libext2fs.a
%{_libdir}/libss.a
%{_libdir}/libuuid.a
%{_libdir}/libcom_err.so
%{_libdir}/libe2p.so
%{_libdir}/libext2fs.so
%{_libdir}/libss.so
%{_libdir}/libuuid.so
/usr/share/et
/usr/share/ss
/usr/include/e2p
/usr/include/et
/usr/include/ext2fs
/usr/include/ss
/usr/include/uuid
%doc %{_mandir}/man1/compile_et.1.gz
%doc %{_mandir}/man3/*.3.gz

%changelog -n e2fsprogs
* Wed Oct 02 2002 - garloff@suse.de
- Fix segmentation fault that could occur when labels are used.
  [bug #20422]
* Thu Mar 07 2002 - pthomas@suse.de
- Add patch from Ted T'so to keep e2fsck from dumping
  core when the journal inode is missing.
* Mon Mar 04 2002 - pthomas@suse.de
- Fix implicit function declarations and some other gcc warnings.
- Include patch from Kurt Garloff to make e2fsck display the
  device name in addition to the volume label. Adapt it to 1.26.
- Adapt BSD_disklables.diff to new code.
- Set LC_CTYPE in addition to LC_MESSAGES.
- Repack with bzip2.
* Fri Mar 01 2002 - bk@suse.de
- Update to 1.26. This release has a number of critical bug
  fixes over the previous release, version 1.25:
* Fri Feb 15 2002 - pthomas@suse.de
- Use %%{_lib} and %%{_libdir}.
* Wed Feb 13 2002 - pthomas@suse.de
- Make heimdal-devel conflict e2fsprogs-devel.
  Temporary solution for bug #13145
* Thu Dec 13 2001 - pthomas@suse.de
- Add mkfs.ext2.8 because mkfs.8 from util-linux references it.
  Fixes bug #12613.
* Fri Nov 23 2001 - pthomas@suse.de
- Add accidently left out e2image to file list. Fixes bug
  #12009
* Wed Oct 31 2001 - ro@suse.de
- fix for axp: should malloc buffer _before_ use
* Wed Oct 10 2001 - pthomas@suse.de
- Update to 1.25.
- Remove patches not needed anymore.
- Change mke2fs to output warnings to stderr not stdout.
- Repack as bz2.
* Mon Sep 24 2001 - olh@suse.de
- replace ext2fs_d
* Fri Sep 21 2001 - pthomas@suse.de
- Add patch for mke2fs from 1.25 as that bug seems to be the
  reason for the mk_initrd warning.
* Wed Sep 12 2001 - pthomas@suse.de
- Update to 1.24a:
- Fix brown-paper bug in mke2fs which caused it to segfault.
- Revert the BLKGETSIZE64 support as this ioctl has been used
  by an unofficial kernel patch to update the last sector on
  the disk, and this was causing disk corruption problems as a
  result.
- Mke2fs is now more careful about zapping swap space signatures
  and other filesystem/raid superblock magic values so.
- E2fsck will no longer complain if the the mode of
  EXT2_RESIZE_INO is a regular file
- mke2fs and tune2fs will allow the use of UUID= or LABEL=
  specifiers when specifying the external journal device.
  tune2fs will also search devices looking for the external
  journal device when removing.
* Fri Aug 17 2001 - ro@suse.de
- update to 1.23 to enable external journals on ext3
* Wed Aug 15 2001 - pthomas@suse.de
- Update to 1.22.
- Drop fsck Patch as code changed.
- Use LD_LIBRARY_PATH to run test programs.
* Fri Jun 08 2001 - pthomas@suse.de
- Remove incorrect use of AC_REQUIRE (fails with autoconf 2.5)
- Recompress tarball with bzip2.
* Thu Jan 18 2001 - schwab@suse.de
- Add Obsoletes: ext2fs_d and Requires: e2fsprogs to devel
  subpackage.
* Mon Nov 06 2000 - pthomas@suse.de
- use _mandir and _infodir more consistently in spec file.
* Sun Nov 05 2000 - ro@suse.de
- renamed packages to e2fsprogs/e2fsprogs-devel
* Fri Jun 09 2000 - kasal@suse.cz
- Build dynamic libraries.  Partition Surprise requires them.
- Make /usr/lib/*.so symlinks relative.
* Thu Mar 23 2000 - kukuk@suse.de
- Don't erase BSD labels on Alpha
- Add Y2K fix to debugfs
* Wed Mar 22 2000 - kukuk@suse.de
- Fix ifdefs for gcc 2.95.2
* Tue Feb 22 2000 - garloff@suse.de
- Bugfix for the change ...
- ... and change version no of fsck to 1.18a to reflect the change.
* Sun Feb 20 2000 - garloff@suse.de
- Patch to be more clever WRT to basenames (used to find out wheter
  a fsck for this device is already running).
- Give better message in case fsck fails, to tell the user what to
  do. (e2fsck only displays the label, nowadays :-( )
* Thu Feb 10 2000 - kukuk@suse.de
- Use autoconf to create new configure
* Wed Jan 19 2000 - ro@suse.de
- man,info -> /usr/share
* Mon Jan 17 2000 - ro@suse.de
- fixed to build on kernels >= 2.3.39
* Sat Nov 13 1999 - kukuk@suse.de
- Update to e2fsprogs 1.18
- Create new sub-package ext2fs_d which includes libs and headers
* Mon Nov 08 1999 - ro@suse.de
-fixed coredump in e2fsck
* Fri Oct 29 1999 - ro@suse.de
-e2fsprogs: 1.17 vital bugfix in e2fsck
* Sun Oct 24 1999 - ro@suse.de
- e2fsprogs: update to 1.16, sparse_super is default on when
  called on a > 2.2 kernel, can be overridden with -O none
* Fri Oct 15 1999 - garloff@suse.de
- Disabled flushb again. (Moved to ddrescue.)
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Sep 01 1999 - ro@suse.de
- mke2fs: sparse superblocks default back to "off"
* Tue Aug 31 1999 - ro@suse.de
- update to 1.15
- cleanup diff and specfile
* Sun Jul 18 1999 - garloff@suse.de
- Enabled flushb compilation
* Sat Jun 26 1999 - kukuk@suse.de
- Add fix for fsck core dump from beta list
* Tue Mar 16 1999 - ro@suse.de
- fixed configure call
* Fri Mar 12 1999 - ro@suse.de
- update to 1.14
* Thu Oct 29 1998 - ro@suse.de
- respect change in 2.1.126 SCSI_DISK_MAJOR
* Tue Sep 01 1998 - ro@suse.de
- update to 1.12
* Sat Apr 26 1997 - florian@suse.de
- update to new version 1.10
* Sun Apr 13 1997 - florian@suse.de
- update to new version 1.08
- do not include ext2 libs and include files as they are only used by dump
* Thu Jan 02 1997 - florian@suse.de
- update to new version 1.06
* Thu Jan 02 1997 - florian@suse.de
- update to newer version
- use now static libs instead of 4 small shared libs
* Thu Jan 02 1997 - florian@suse.de
  update to version 1.0.4
